default: &default
  adapter: mysql2
  encoding: utf8mb4
  pool: <%= ENV.fetch("RAILS_MAX_THREADS") { 5 } %>
  username: <%= ENV.fetch("DB_USER", "root") %>
  password: <%= ENV.fetch("DB_PASSWORD", "") %>
  host: <%= ENV.fetch("DB_HOST", "mysql") %>
  port: <%= ENV.fetch("DB_PORT", "3306") %>

development:
  <<: *default
  database: <%= ENV.fetch("DB_NAME", "softwares") %>

test:
  <<: *default
  database: <%= ENV.fetch("DB_NAME", "softwares") %>_test

production:
  <<: *default
  database: <%= ENV.fetch("DB_NAME", "softwares") %>
